#!/bin/rpm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Summary:        LIME Client Common Library
Name:           lime-common
Version:        0.9.11
Release:        1%{?dist}
Group:          Applications/System
License:        GPL
Source:         %{name}-%{version}.tar.gz
Requires :	openwbem 
Requires :	qt > 3.3.3
BuildRequires : openwbem
BuildRequires : openwbem-devel
BuildRequires : qt-devel > 3.3.3

%description
This is the common client library for lime, which depends on OpenWBEM libraries.
LIME is a part of OpenDRIM project, see also www.opendrim.org.
%prep
%setup -q
%build
%configure
make
%install
%{__rm} -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%post
ldconfig
# create localhost binding openwbem configuration file
if [ -r %{_sysconfdir}/openwbem/openwbem.conf ]; then
    sed 's/\([ \t]*http_server\.listen_addresses[ \t]*=[ \t]*\)[0-9]*\.[0-9]*\.[0-9]*\.[0-9]*/\1127.0.0.1/g' %{_sysconfdir}/openwbem/openwbem.conf > %{_datadir}/%{name}/only_bind_to_localhost_openwbem.conf
fi

%preun
%postun
if [ "$1" = "0" ]
then
 ldconfig
 if [ -e %{_datadir}/%{name}/only_bind_to_localhost_openwbem.conf ]; then
     %{__rm} -f %{_datadir}/%{name}/only_bind_to_localhost_openwbem.conf
 fi
fi
%clean
%{__rm} -rf $RPM_BUILD_ROOT
%files
%{_libdir}/*.so*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_includedir}/%{name}/*
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/%{name}/locale/qtstuff_*.qm
%{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/ChangeLog
%{_datadir}/%{name}/NEWS
%{_datadir}/%{name}/README
%changelog
* Wed Jul 3 2008 He Tao <taohe@redflag-linux.com>
- increase timeout time for connection to host

* Tue May 20 2008 He Tao <taohe@redflag-linux.com>
- no default user(anonymous) to access the host

* Wed Apr 23 2008 He Tao <taohe@redflag-linux.com>
- bug 3479: The host which is failed to connect will be not displayed in "Host List" of local host.(resolve the ip,last time only resolve the host name)
- bug 4096: crash problem
- upgrade version to 0.9.9

* Thu Apr 2 2008 He Tao <taohe@redflag-linux.com>
- bug AX3643 User can edit both "Caption" and host address.
- bug AX3479 The host which is failed to connect will be not displayed in "Host List" of local host.

* Tue Nov  6 2007 Wang Diancheng <dcwang@redflag-linux.com>
- fix a bug: cannot brower file system which include non-latin1
  charset characters(eg. Chinese, Japanese or Korean) file names
  see also package ChangeLog file for detail.

* Thu Oct 11 2007 Diancheng Wang <dcwang@redflag-linux.com>
- check user name skip localhost when doing distribution, new version is 0.9.6.

* Mon Sep 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.9.5,the first maintenance release,
- see also package ChangeLog file for details.

* Wed Aug 15 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.9.4, see also package ChangeLog file for details.

* Tue Jul 17 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.9.3, see also package ChangeLog file for details.

* Tue Jul 3 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.9.2, see also package ChangeLog file for details.

* Mon Jun 18 2007 Diancheng Wang <dcwang@redflag-linux.com>
- update to new version 0.9.1, see also package ChangeLog file

* Thu Jun 14 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add OpenDRIM(www.opendrim.org) project information.

* Fri Mar 16 2007 Diancheng Wang <dcwang@redflag-linux.com>
- add translate file

* Thu Jan 25 2007 Diancheng Wang <dcwang@redflag-linux.com>
- Initial version for 0.6.0
